package ch.pizzalemon.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class CampaignModel implements Serializable {

    @Expose
    @SerializedName("campaign_id")
    private String id;

    @Expose
    @SerializedName("campaign_code")
    private String code;

    @Expose
    @SerializedName("campaign_name")
    private String name;

    @Expose
    @SerializedName("campaign_description")
    private String description;

    @Expose
    @SerializedName("campaign_type")
    private String type;

    @Expose
    @SerializedName("campaign_product_count")
    private String productCount;

    @Expose
    @SerializedName("campaign_minimum_price")
    private String minimumPrice;

    @Expose
    @SerializedName("campaign_source_category_id")
    private String sourceCategoryId;

    @Expose
    @SerializedName("campaign_category_id")
    private String categoryId;

    @Expose
    @SerializedName("campaign_product_id")
    private String productId;

    @Expose
    @SerializedName("is_enabled")
    private String isEnabled;

    public void checkNull(){
        if(id == null){
            id = "";
        }
        if(code == null){
            code = "";
        }
        if(name == null){
            name = "";
        }
        if(description == null){
            description = "";
        }
        if(type == null){
            type = "";
        }
        if(productCount == null){
            productCount = "";
        }
        if(minimumPrice == null){
            minimumPrice = "";
        }
        if(sourceCategoryId == null){
            sourceCategoryId = "";
        }
        if(categoryId == null){
            categoryId = "";
        }
        if(productId == null){
            productId = "";
        }
        if(isEnabled == null){
            isEnabled = "";
        }
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProductCount() {
        return productCount;
    }

    public void setProductCount(String productCount) {
        this.productCount = productCount;
    }

    public String getMinimumPrice() {
        return minimumPrice;
    }

    public void setMinimumPrice(String minimumPrice) {
        this.minimumPrice = minimumPrice;
    }

    public String getSourceCategoryId() {
        return sourceCategoryId;
    }

    public void setSourceCategoryId(String sourceCategoryId) {
        this.sourceCategoryId = sourceCategoryId;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(String isEnabled) {
        this.isEnabled = isEnabled;
    }
}
